Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.2.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
76.2.64.0
Broadcast address
76.2.95.255
First usable
76.2.64.1
Last usable
76.2.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C024000 · Integer 1275215872 to 1275224063
Reverse DNS zones
64.2.76.in-addr.arpa
65.2.76.in-addr.arpa
66.2.76.in-addr.arpa
67.2.76.in-addr.arpa
68.2.76.in-addr.arpa
69.2.76.in-addr.arpa
70.2.76.in-addr.arpa
71.2.76.in-addr.arpa
72.2.76.in-addr.arpa
73.2.76.in-addr.arpa
74.2.76.in-addr.arpa
75.2.76.in-addr.arpa
76.2.76.in-addr.arpa
77.2.76.in-addr.arpa
78.2.76.in-addr.arpa
79.2.76.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.00000010.01000000.0000000076.2.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01001100.00000010.01000000.0000000076.2.64.0
Broadcast01001100.00000010.01011111.1111111176.2.95.255
Split into smaller subnets/28

76.2.64.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.2.64.0/2876.2.64.1 to 76.2.64.1476.2.64.1514
276.2.64.16/2876.2.64.17 to 76.2.64.3076.2.64.3114
376.2.64.32/2876.2.64.33 to 76.2.64.4676.2.64.4714
476.2.64.48/2876.2.64.49 to 76.2.64.6276.2.64.6314
576.2.64.64/2876.2.64.65 to 76.2.64.7876.2.64.7914
676.2.64.80/2876.2.64.81 to 76.2.64.9476.2.64.9514
776.2.64.96/2876.2.64.97 to 76.2.64.11076.2.64.11114
876.2.64.112/2876.2.64.113 to 76.2.64.12676.2.64.12714
976.2.64.128/2876.2.64.129 to 76.2.64.14276.2.64.14314
1076.2.64.144/2876.2.64.145 to 76.2.64.15876.2.64.15914
1176.2.64.160/2876.2.64.161 to 76.2.64.17476.2.64.17514
1276.2.64.176/2876.2.64.177 to 76.2.64.19076.2.64.19114
1376.2.64.192/2876.2.64.193 to 76.2.64.20676.2.64.20714
1476.2.64.208/2876.2.64.209 to 76.2.64.22276.2.64.22314
1576.2.64.224/2876.2.64.225 to 76.2.64.23876.2.64.23914
1676.2.64.240/2876.2.64.241 to 76.2.64.25476.2.64.25514
1776.2.65.0/2876.2.65.1 to 76.2.65.1476.2.65.1514
1876.2.65.16/2876.2.65.17 to 76.2.65.3076.2.65.3114
1976.2.65.32/2876.2.65.33 to 76.2.65.4676.2.65.4714
2076.2.65.48/2876.2.65.49 to 76.2.65.6276.2.65.6314
2176.2.65.64/2876.2.65.65 to 76.2.65.7876.2.65.7914
2276.2.65.80/2876.2.65.81 to 76.2.65.9476.2.65.9514
2376.2.65.96/2876.2.65.97 to 76.2.65.11076.2.65.11114
2476.2.65.112/2876.2.65.113 to 76.2.65.12676.2.65.12714
2576.2.65.128/2876.2.65.129 to 76.2.65.14276.2.65.14314
2676.2.65.144/2876.2.65.145 to 76.2.65.15876.2.65.15914
2776.2.65.160/2876.2.65.161 to 76.2.65.17476.2.65.17514
2876.2.65.176/2876.2.65.177 to 76.2.65.19076.2.65.19114
2976.2.65.192/2876.2.65.193 to 76.2.65.20676.2.65.20714
3076.2.65.208/2876.2.65.209 to 76.2.65.22276.2.65.22314
3176.2.65.224/2876.2.65.225 to 76.2.65.23876.2.65.23914
3276.2.65.240/2876.2.65.241 to 76.2.65.25476.2.65.25514
3376.2.66.0/2876.2.66.1 to 76.2.66.1476.2.66.1514
3476.2.66.16/2876.2.66.17 to 76.2.66.3076.2.66.3114
3576.2.66.32/2876.2.66.33 to 76.2.66.4676.2.66.4714
3676.2.66.48/2876.2.66.49 to 76.2.66.6276.2.66.6314
3776.2.66.64/2876.2.66.65 to 76.2.66.7876.2.66.7914
3876.2.66.80/2876.2.66.81 to 76.2.66.9476.2.66.9514
3976.2.66.96/2876.2.66.97 to 76.2.66.11076.2.66.11114
4076.2.66.112/2876.2.66.113 to 76.2.66.12676.2.66.12714
4176.2.66.128/2876.2.66.129 to 76.2.66.14276.2.66.14314
4276.2.66.144/2876.2.66.145 to 76.2.66.15876.2.66.15914
4376.2.66.160/2876.2.66.161 to 76.2.66.17476.2.66.17514
4476.2.66.176/2876.2.66.177 to 76.2.66.19076.2.66.19114
4576.2.66.192/2876.2.66.193 to 76.2.66.20676.2.66.20714
4676.2.66.208/2876.2.66.209 to 76.2.66.22276.2.66.22314
4776.2.66.224/2876.2.66.225 to 76.2.66.23876.2.66.23914
4876.2.66.240/2876.2.66.241 to 76.2.66.25476.2.66.25514
4976.2.67.0/2876.2.67.1 to 76.2.67.1476.2.67.1514
5076.2.67.16/2876.2.67.17 to 76.2.67.3076.2.67.3114
5176.2.67.32/2876.2.67.33 to 76.2.67.4676.2.67.4714
5276.2.67.48/2876.2.67.49 to 76.2.67.6276.2.67.6314
5376.2.67.64/2876.2.67.65 to 76.2.67.7876.2.67.7914
5476.2.67.80/2876.2.67.81 to 76.2.67.9476.2.67.9514
5576.2.67.96/2876.2.67.97 to 76.2.67.11076.2.67.11114
5676.2.67.112/2876.2.67.113 to 76.2.67.12676.2.67.12714
5776.2.67.128/2876.2.67.129 to 76.2.67.14276.2.67.14314
5876.2.67.144/2876.2.67.145 to 76.2.67.15876.2.67.15914
5976.2.67.160/2876.2.67.161 to 76.2.67.17476.2.67.17514
6076.2.67.176/2876.2.67.177 to 76.2.67.19076.2.67.19114
6176.2.67.192/2876.2.67.193 to 76.2.67.20676.2.67.20714
6276.2.67.208/2876.2.67.209 to 76.2.67.22276.2.67.22314
6376.2.67.224/2876.2.67.225 to 76.2.67.23876.2.67.23914
6476.2.67.240/2876.2.67.241 to 76.2.67.25476.2.67.25514
6576.2.68.0/2876.2.68.1 to 76.2.68.1476.2.68.1514
6676.2.68.16/2876.2.68.17 to 76.2.68.3076.2.68.3114
6776.2.68.32/2876.2.68.33 to 76.2.68.4676.2.68.4714
6876.2.68.48/2876.2.68.49 to 76.2.68.6276.2.68.6314
6976.2.68.64/2876.2.68.65 to 76.2.68.7876.2.68.7914
7076.2.68.80/2876.2.68.81 to 76.2.68.9476.2.68.9514
7176.2.68.96/2876.2.68.97 to 76.2.68.11076.2.68.11114
7276.2.68.112/2876.2.68.113 to 76.2.68.12676.2.68.12714
7376.2.68.128/2876.2.68.129 to 76.2.68.14276.2.68.14314
7476.2.68.144/2876.2.68.145 to 76.2.68.15876.2.68.15914
7576.2.68.160/2876.2.68.161 to 76.2.68.17476.2.68.17514
7676.2.68.176/2876.2.68.177 to 76.2.68.19076.2.68.19114
7776.2.68.192/2876.2.68.193 to 76.2.68.20676.2.68.20714
7876.2.68.208/2876.2.68.209 to 76.2.68.22276.2.68.22314
7976.2.68.224/2876.2.68.225 to 76.2.68.23876.2.68.23914
8076.2.68.240/2876.2.68.241 to 76.2.68.25476.2.68.25514
8176.2.69.0/2876.2.69.1 to 76.2.69.1476.2.69.1514
8276.2.69.16/2876.2.69.17 to 76.2.69.3076.2.69.3114
8376.2.69.32/2876.2.69.33 to 76.2.69.4676.2.69.4714
8476.2.69.48/2876.2.69.49 to 76.2.69.6276.2.69.6314
8576.2.69.64/2876.2.69.65 to 76.2.69.7876.2.69.7914
8676.2.69.80/2876.2.69.81 to 76.2.69.9476.2.69.9514
8776.2.69.96/2876.2.69.97 to 76.2.69.11076.2.69.11114
8876.2.69.112/2876.2.69.113 to 76.2.69.12676.2.69.12714
8976.2.69.128/2876.2.69.129 to 76.2.69.14276.2.69.14314
9076.2.69.144/2876.2.69.145 to 76.2.69.15876.2.69.15914
9176.2.69.160/2876.2.69.161 to 76.2.69.17476.2.69.17514
9276.2.69.176/2876.2.69.177 to 76.2.69.19076.2.69.19114
9376.2.69.192/2876.2.69.193 to 76.2.69.20676.2.69.20714
9476.2.69.208/2876.2.69.209 to 76.2.69.22276.2.69.22314
9576.2.69.224/2876.2.69.225 to 76.2.69.23876.2.69.23914
9676.2.69.240/2876.2.69.241 to 76.2.69.25476.2.69.25514
9776.2.70.0/2876.2.70.1 to 76.2.70.1476.2.70.1514
9876.2.70.16/2876.2.70.17 to 76.2.70.3076.2.70.3114
9976.2.70.32/2876.2.70.33 to 76.2.70.4676.2.70.4714
10076.2.70.48/2876.2.70.49 to 76.2.70.6276.2.70.6314
10176.2.70.64/2876.2.70.65 to 76.2.70.7876.2.70.7914
10276.2.70.80/2876.2.70.81 to 76.2.70.9476.2.70.9514
10376.2.70.96/2876.2.70.97 to 76.2.70.11076.2.70.11114
10476.2.70.112/2876.2.70.113 to 76.2.70.12676.2.70.12714
10576.2.70.128/2876.2.70.129 to 76.2.70.14276.2.70.14314
10676.2.70.144/2876.2.70.145 to 76.2.70.15876.2.70.15914
10776.2.70.160/2876.2.70.161 to 76.2.70.17476.2.70.17514
10876.2.70.176/2876.2.70.177 to 76.2.70.19076.2.70.19114
10976.2.70.192/2876.2.70.193 to 76.2.70.20676.2.70.20714
11076.2.70.208/2876.2.70.209 to 76.2.70.22276.2.70.22314
11176.2.70.224/2876.2.70.225 to 76.2.70.23876.2.70.23914
11276.2.70.240/2876.2.70.241 to 76.2.70.25476.2.70.25514
11376.2.71.0/2876.2.71.1 to 76.2.71.1476.2.71.1514
11476.2.71.16/2876.2.71.17 to 76.2.71.3076.2.71.3114
11576.2.71.32/2876.2.71.33 to 76.2.71.4676.2.71.4714
11676.2.71.48/2876.2.71.49 to 76.2.71.6276.2.71.6314
11776.2.71.64/2876.2.71.65 to 76.2.71.7876.2.71.7914
11876.2.71.80/2876.2.71.81 to 76.2.71.9476.2.71.9514
11976.2.71.96/2876.2.71.97 to 76.2.71.11076.2.71.11114
12076.2.71.112/2876.2.71.113 to 76.2.71.12676.2.71.12714
12176.2.71.128/2876.2.71.129 to 76.2.71.14276.2.71.14314
12276.2.71.144/2876.2.71.145 to 76.2.71.15876.2.71.15914
12376.2.71.160/2876.2.71.161 to 76.2.71.17476.2.71.17514
12476.2.71.176/2876.2.71.177 to 76.2.71.19076.2.71.19114
12576.2.71.192/2876.2.71.193 to 76.2.71.20676.2.71.20714
12676.2.71.208/2876.2.71.209 to 76.2.71.22276.2.71.22314
12776.2.71.224/2876.2.71.225 to 76.2.71.23876.2.71.23914
12876.2.71.240/2876.2.71.241 to 76.2.71.25476.2.71.25514
12976.2.72.0/2876.2.72.1 to 76.2.72.1476.2.72.1514
13076.2.72.16/2876.2.72.17 to 76.2.72.3076.2.72.3114
13176.2.72.32/2876.2.72.33 to 76.2.72.4676.2.72.4714
13276.2.72.48/2876.2.72.49 to 76.2.72.6276.2.72.6314
13376.2.72.64/2876.2.72.65 to 76.2.72.7876.2.72.7914
13476.2.72.80/2876.2.72.81 to 76.2.72.9476.2.72.9514
13576.2.72.96/2876.2.72.97 to 76.2.72.11076.2.72.11114
13676.2.72.112/2876.2.72.113 to 76.2.72.12676.2.72.12714
13776.2.72.128/2876.2.72.129 to 76.2.72.14276.2.72.14314
13876.2.72.144/2876.2.72.145 to 76.2.72.15876.2.72.15914
13976.2.72.160/2876.2.72.161 to 76.2.72.17476.2.72.17514
14076.2.72.176/2876.2.72.177 to 76.2.72.19076.2.72.19114
14176.2.72.192/2876.2.72.193 to 76.2.72.20676.2.72.20714
14276.2.72.208/2876.2.72.209 to 76.2.72.22276.2.72.22314
14376.2.72.224/2876.2.72.225 to 76.2.72.23876.2.72.23914
14476.2.72.240/2876.2.72.241 to 76.2.72.25476.2.72.25514
14576.2.73.0/2876.2.73.1 to 76.2.73.1476.2.73.1514
14676.2.73.16/2876.2.73.17 to 76.2.73.3076.2.73.3114
14776.2.73.32/2876.2.73.33 to 76.2.73.4676.2.73.4714
14876.2.73.48/2876.2.73.49 to 76.2.73.6276.2.73.6314
14976.2.73.64/2876.2.73.65 to 76.2.73.7876.2.73.7914
15076.2.73.80/2876.2.73.81 to 76.2.73.9476.2.73.9514
15176.2.73.96/2876.2.73.97 to 76.2.73.11076.2.73.11114
15276.2.73.112/2876.2.73.113 to 76.2.73.12676.2.73.12714
15376.2.73.128/2876.2.73.129 to 76.2.73.14276.2.73.14314
15476.2.73.144/2876.2.73.145 to 76.2.73.15876.2.73.15914
15576.2.73.160/2876.2.73.161 to 76.2.73.17476.2.73.17514
15676.2.73.176/2876.2.73.177 to 76.2.73.19076.2.73.19114
15776.2.73.192/2876.2.73.193 to 76.2.73.20676.2.73.20714
15876.2.73.208/2876.2.73.209 to 76.2.73.22276.2.73.22314
15976.2.73.224/2876.2.73.225 to 76.2.73.23876.2.73.23914
16076.2.73.240/2876.2.73.241 to 76.2.73.25476.2.73.25514
16176.2.74.0/2876.2.74.1 to 76.2.74.1476.2.74.1514
16276.2.74.16/2876.2.74.17 to 76.2.74.3076.2.74.3114
16376.2.74.32/2876.2.74.33 to 76.2.74.4676.2.74.4714
16476.2.74.48/2876.2.74.49 to 76.2.74.6276.2.74.6314
16576.2.74.64/2876.2.74.65 to 76.2.74.7876.2.74.7914
16676.2.74.80/2876.2.74.81 to 76.2.74.9476.2.74.9514
16776.2.74.96/2876.2.74.97 to 76.2.74.11076.2.74.11114
16876.2.74.112/2876.2.74.113 to 76.2.74.12676.2.74.12714
16976.2.74.128/2876.2.74.129 to 76.2.74.14276.2.74.14314
17076.2.74.144/2876.2.74.145 to 76.2.74.15876.2.74.15914
17176.2.74.160/2876.2.74.161 to 76.2.74.17476.2.74.17514
17276.2.74.176/2876.2.74.177 to 76.2.74.19076.2.74.19114
17376.2.74.192/2876.2.74.193 to 76.2.74.20676.2.74.20714
17476.2.74.208/2876.2.74.209 to 76.2.74.22276.2.74.22314
17576.2.74.224/2876.2.74.225 to 76.2.74.23876.2.74.23914
17676.2.74.240/2876.2.74.241 to 76.2.74.25476.2.74.25514
17776.2.75.0/2876.2.75.1 to 76.2.75.1476.2.75.1514
17876.2.75.16/2876.2.75.17 to 76.2.75.3076.2.75.3114
17976.2.75.32/2876.2.75.33 to 76.2.75.4676.2.75.4714
18076.2.75.48/2876.2.75.49 to 76.2.75.6276.2.75.6314
18176.2.75.64/2876.2.75.65 to 76.2.75.7876.2.75.7914
18276.2.75.80/2876.2.75.81 to 76.2.75.9476.2.75.9514
18376.2.75.96/2876.2.75.97 to 76.2.75.11076.2.75.11114
18476.2.75.112/2876.2.75.113 to 76.2.75.12676.2.75.12714
18576.2.75.128/2876.2.75.129 to 76.2.75.14276.2.75.14314
18676.2.75.144/2876.2.75.145 to 76.2.75.15876.2.75.15914
18776.2.75.160/2876.2.75.161 to 76.2.75.17476.2.75.17514
18876.2.75.176/2876.2.75.177 to 76.2.75.19076.2.75.19114
18976.2.75.192/2876.2.75.193 to 76.2.75.20676.2.75.20714
19076.2.75.208/2876.2.75.209 to 76.2.75.22276.2.75.22314
19176.2.75.224/2876.2.75.225 to 76.2.75.23876.2.75.23914
19276.2.75.240/2876.2.75.241 to 76.2.75.25476.2.75.25514
19376.2.76.0/2876.2.76.1 to 76.2.76.1476.2.76.1514
19476.2.76.16/2876.2.76.17 to 76.2.76.3076.2.76.3114
19576.2.76.32/2876.2.76.33 to 76.2.76.4676.2.76.4714
19676.2.76.48/2876.2.76.49 to 76.2.76.6276.2.76.6314
19776.2.76.64/2876.2.76.65 to 76.2.76.7876.2.76.7914
19876.2.76.80/2876.2.76.81 to 76.2.76.9476.2.76.9514
19976.2.76.96/2876.2.76.97 to 76.2.76.11076.2.76.11114
20076.2.76.112/2876.2.76.113 to 76.2.76.12676.2.76.12714
20176.2.76.128/2876.2.76.129 to 76.2.76.14276.2.76.14314
20276.2.76.144/2876.2.76.145 to 76.2.76.15876.2.76.15914
20376.2.76.160/2876.2.76.161 to 76.2.76.17476.2.76.17514
20476.2.76.176/2876.2.76.177 to 76.2.76.19076.2.76.19114
20576.2.76.192/2876.2.76.193 to 76.2.76.20676.2.76.20714
20676.2.76.208/2876.2.76.209 to 76.2.76.22276.2.76.22314
20776.2.76.224/2876.2.76.225 to 76.2.76.23876.2.76.23914
20876.2.76.240/2876.2.76.241 to 76.2.76.25476.2.76.25514
20976.2.77.0/2876.2.77.1 to 76.2.77.1476.2.77.1514
21076.2.77.16/2876.2.77.17 to 76.2.77.3076.2.77.3114
21176.2.77.32/2876.2.77.33 to 76.2.77.4676.2.77.4714
21276.2.77.48/2876.2.77.49 to 76.2.77.6276.2.77.6314
21376.2.77.64/2876.2.77.65 to 76.2.77.7876.2.77.7914
21476.2.77.80/2876.2.77.81 to 76.2.77.9476.2.77.9514
21576.2.77.96/2876.2.77.97 to 76.2.77.11076.2.77.11114
21676.2.77.112/2876.2.77.113 to 76.2.77.12676.2.77.12714
21776.2.77.128/2876.2.77.129 to 76.2.77.14276.2.77.14314
21876.2.77.144/2876.2.77.145 to 76.2.77.15876.2.77.15914
21976.2.77.160/2876.2.77.161 to 76.2.77.17476.2.77.17514
22076.2.77.176/2876.2.77.177 to 76.2.77.19076.2.77.19114
22176.2.77.192/2876.2.77.193 to 76.2.77.20676.2.77.20714
22276.2.77.208/2876.2.77.209 to 76.2.77.22276.2.77.22314
22376.2.77.224/2876.2.77.225 to 76.2.77.23876.2.77.23914
22476.2.77.240/2876.2.77.241 to 76.2.77.25476.2.77.25514
22576.2.78.0/2876.2.78.1 to 76.2.78.1476.2.78.1514
22676.2.78.16/2876.2.78.17 to 76.2.78.3076.2.78.3114
22776.2.78.32/2876.2.78.33 to 76.2.78.4676.2.78.4714
22876.2.78.48/2876.2.78.49 to 76.2.78.6276.2.78.6314
22976.2.78.64/2876.2.78.65 to 76.2.78.7876.2.78.7914
23076.2.78.80/2876.2.78.81 to 76.2.78.9476.2.78.9514
23176.2.78.96/2876.2.78.97 to 76.2.78.11076.2.78.11114
23276.2.78.112/2876.2.78.113 to 76.2.78.12676.2.78.12714
23376.2.78.128/2876.2.78.129 to 76.2.78.14276.2.78.14314
23476.2.78.144/2876.2.78.145 to 76.2.78.15876.2.78.15914
23576.2.78.160/2876.2.78.161 to 76.2.78.17476.2.78.17514
23676.2.78.176/2876.2.78.177 to 76.2.78.19076.2.78.19114
23776.2.78.192/2876.2.78.193 to 76.2.78.20676.2.78.20714
23876.2.78.208/2876.2.78.209 to 76.2.78.22276.2.78.22314
23976.2.78.224/2876.2.78.225 to 76.2.78.23876.2.78.23914
24076.2.78.240/2876.2.78.241 to 76.2.78.25476.2.78.25514
24176.2.79.0/2876.2.79.1 to 76.2.79.1476.2.79.1514
24276.2.79.16/2876.2.79.17 to 76.2.79.3076.2.79.3114
24376.2.79.32/2876.2.79.33 to 76.2.79.4676.2.79.4714
24476.2.79.48/2876.2.79.49 to 76.2.79.6276.2.79.6314
24576.2.79.64/2876.2.79.65 to 76.2.79.7876.2.79.7914
24676.2.79.80/2876.2.79.81 to 76.2.79.9476.2.79.9514
24776.2.79.96/2876.2.79.97 to 76.2.79.11076.2.79.11114
24876.2.79.112/2876.2.79.113 to 76.2.79.12676.2.79.12714
24976.2.79.128/2876.2.79.129 to 76.2.79.14276.2.79.14314
25076.2.79.144/2876.2.79.145 to 76.2.79.15876.2.79.15914
25176.2.79.160/2876.2.79.161 to 76.2.79.17476.2.79.17514
25276.2.79.176/2876.2.79.177 to 76.2.79.19076.2.79.19114
25376.2.79.192/2876.2.79.193 to 76.2.79.20676.2.79.20714
25476.2.79.208/2876.2.79.209 to 76.2.79.22276.2.79.22314
25576.2.79.224/2876.2.79.225 to 76.2.79.23876.2.79.23914
25676.2.79.240/2876.2.79.241 to 76.2.79.25476.2.79.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses